PostRuleRequestModel
Request model for POST /v2/ApprovalWorkflow/Rules. Rule + its initial approvers and conditions are created atomically. Smart-group bindings are set separately via PUT /v2/ApprovalWorkflow/Rules/{ruleId}/Groups. At most one of OPS.Web.Api.v2.ApprovalWorkflow.Rules.Models.PostRuleRequestModel.AutoProceed, OPS.Web.Api.v2.ApprovalWorkflow.Rules.Models.PostRuleRequestModel.AutoReject may be set.
- Properties: 2ApproversType: 1…required
- Properties: 5ConditionsType: 1…required
- NameType: stringmin length:1max length:100required
- AutoType: string | nullFormat: time-span
Proceed Auto-proceed timeout. Null = no auto-approve; a value = blocking, auto-approve after this timeout.
- AutoType: string | nullFormat: time-span
Reject Auto-reject timeout. Null = no auto-reject; a value = blocking, auto-reject after this timeout.
